package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

/* loaded from: org_apache_bcel_classfile.jar:org/apache/bcel/classfile/ConstantString.class */
public final class ConstantString extends Constant implements ConstantObject {
    private int stringIndex;

    public ConstantString(ConstantString c) {
        this(c.getStringIndex());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ConstantString(DataInput file) throws IOException {
        this(file.readUnsignedShort());
    }

    public ConstantString(int stringIndex) {
        super((byte) 8);
        this.stringIndex = stringIndex;
    }

    @Override // org.apache.bcel.classfile.Constant, org.apache.bcel.classfile.Node
    public void accept(Visitor v) {
        v.visitConstantString(this);
    }

    @Override // org.apache.bcel.classfile.Constant
    public void dump(DataOutputStream file) throws IOException {
        file.writeByte(super.getTag());
        file.writeShort(this.stringIndex);
    }

    public String getBytes(ConstantPool cp) {
        return (String) getConstantValue(cp);
    }

    @Override // org.apache.bcel.classfile.ConstantObject
    public Object getConstantValue(ConstantPool cp) {
        return cp.getConstantUtf8(this.stringIndex).getBytes();
    }

    public int getStringIndex() {
        return this.stringIndex;
    }

    public void setStringIndex(int stringIndex) {
        this.stringIndex = stringIndex;
    }

    @Override // org.apache.bcel.classfile.Constant
    public String toString() {
        return super.toString() + "(stringIndex = " + this.stringIndex + ")";
    }
}
